<?php

declare(strict_types=1);

namespace Drupal\simple_oauth_redirect_uri_wildcard\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Validation constraint for OAuth2 redirect URIs with wildcard support.
 *
 * @Constraint(
 *   id = "WildcardRedirectUri",
 *   label = @Translation("OAuth2 redirect URI with wildcard support", context = "Validation"),
 *   type = "string"
 * )
 */
class WildcardRedirectUri extends Constraint {

  /**
   * The default violation message.
   *
   * @var string
   */
  public string $message = 'The redirect URI %url is not valid. Wildcards (*) are only allowed in subdomains.';

}
