<?php

declare(strict_types=1);

namespace Drupal\Tests\simple_oauth_redirect_uri_wildcard\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Tests the installation of the module.
 *
 * @group simple_oauth_redirect_uri_wildcard
 */
class ModuleInstallTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'system',
    'user',
    'serialization',
    'consumers',
    'simple_oauth',
    'simple_oauth_redirect_uri_wildcard',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->installConfig(['simple_oauth_redirect_uri_wildcard']);
  }

  /**
   * Tests that the module installs correctly.
   */
  public function testModuleInstall(): void {
    $moduleHandler = $this->container->get('module_handler');
    $this->assertTrue($moduleHandler->moduleExists('simple_oauth_redirect_uri_wildcard'));

    // Verify that the module's service is available.
    $this->assertNotNull(
      $this->container->get('simple_oauth_redirect_uri_wildcard.validator'),
      'The redirect URI validator service is available.'
    );
  }

}
